package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * @author tianhua
 * @time 2023/7/22
 * @Description 传递给前端的推广每日复充趋势实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AgentDayAgainVO {

    /**
     * 原
     */
    @ApiModelProperty(value = "原(总量)")
    private BigInteger original;

    /**
     * 现
     */
    @ApiModelProperty(value = "现(总量)")
    private BigInteger present;

    /**
     * 增
     */
    @ApiModelProperty(value = "增(总量)")
    private BigInteger increase;

    /**
     * 移
     */
    @ApiModelProperty(value = "移(总量)")
    private BigInteger decrease;

    /**
     * 比
     */
    @ApiModelProperty(value = "比(总量)")
    private BigDecimal rate;

}
